OGRE: Ogre::Resource::Listener Class Reference - OGRE Documentation

# Ogre::Resource::Listener Class Reference

`#include <OgreResource.h>`

Inheritance diagram for Ogre::Resource::Listener:

[legend]

List of all members.

## Public Member Functions
| Listener ()
virtual | ~Listener ()
virtual void | backgroundLoadingComplete (Resource *)
| Callback to indicate that background loading has completed.
virtual void | backgroundPreparingComplete (Resource *)
| Callback to indicate that background preparing has completed.

## Detailed Description

Definition at line 76 of file OgreResource.h.

## Constructor & Destructor Documentation

Ogre::Resource::Listener::Listener | ( |  | ) |

Definition at line 79 of file OgreResource.h.

virtual Ogre::Resource::Listener::~Listener | ( |  | ) | `[virtual]`

Definition at line 80 of file OgreResource.h.

## Member Function Documentation

virtual void Ogre::Resource::Listener::backgroundLoadingComplete | ( | Resource * |  | ) | `[virtual]`

Callback to indicate that background loading has completed.

Remarks:
  This callback is only relevant when a Resource has been marked as background loaded (

See also:
  Resource::setBackgroundLoaded) , and occurs when that loading has completed. The call does not itself occur in the thread which is doing the loading; when loading is complete a response indicator is placed with the ResourceGroupManager, which will then be sent back to the listener as part of the application's primary frame loop thread.

Reimplemented in Ogre::Entity.

Definition at line 92 of file OgreResource.h.

virtual void Ogre::Resource::Listener::backgroundPreparingComplete | ( | Resource * |  | ) | `[virtual]`

Callback to indicate that background preparing has completed.

Remarks:
  This callback is only relevant when a Resource has been marked as background loaded (

See also:
  Resource::setBackgroundLoaded) , and occurs when that preparing (but not necessarily loading) has completed. The call does not itself occur in the thread which is doing the preparing; when preparing is complete a response indicator is placed with the ResourceGroupManager, which will then be sent back to the listener as part of the application's primary frame loop thread.

Definition at line 104 of file OgreResource.h.

The documentation for this class was generated from the following file:

- OgreResource.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:35:41 2009